Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractObjectParamDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractObjectParamDAO

public class ContractObjectParamDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObjectParamDAO(User user, String billingId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParamAddressValue`
  `getAddressParam(int objectId, int paramId)`
  `List<Integer>`
  `getContractParamIds(int objectId)`
  `List<IdTitle>`
  `getListParam(int objectId, int paramId)`
  `ContractObjectParameter`
  `getParameter(int contractId, int objectId, int paramId)`
  `List<ContractObjectParameter>`
  `getParameterList(int contractId, int objectId)`
  `String`
  `getParamTitle(int objectId, int paramId)`
  `int`
  `getParamType(int objectId, int paramId)`
  `String`
  `getTextParam(int objectId, int paramId)`
  `List<IdTitle>`
  `getValuesForListParameter(int parameterId)`
  `void`
  `updateAddressParameter(int contractId, int objectId, int paramId, ParamAddressValue address)`
  `void`
  `updateDateParameter(int contractId, int objectId, int paramId, String value)`
  `void`
  `updateListParameter(int contractId, int objectId, int paramId, String value)`
  `void`
  `updateTextParameter(int contractId, int objectId, int paramId, String value)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractObjectParamDAO

    public ContractObjectParamDAO(User user, String billingId)

- ## Method Details

  - ### getParameterList

    public List<ContractObjectParameter> getParameterList(int contractId, int objectId)

  - ### getTextParam

    public String getTextParam(int objectId, int paramId)

  - ### getParameter

    public ContractObjectParameter getParameter(int contractId, int objectId, int paramId)

  - ### getParamType

    public int getParamType(int objectId, int paramId)

  - ### getParamTitle

    public String getParamTitle(int objectId, int paramId)

  - ### getContractParamIds

    public List<Integer> getContractParamIds(int objectId)

  - ### getAddressParam

    public ParamAddressValue getAddressParam(int objectId, int paramId)

  - ### getListParam

    public List<IdTitle> getListParam(int objectId, int paramId)

  - ### updateTextParameter

    public void updateTextParameter(int contractId, int objectId, int paramId, String value)

  - ### updateListParameter

    public void updateListParameter(int contractId, int objectId, int paramId, String value)

  - ### updateAddressParameter

    public void updateAddressParameter(int contractId, int objectId, int paramId, ParamAddressValue address)

  - ### updateDateParameter

    public void updateDateParameter(int contractId, int objectId, int paramId, String value)

  - ### getValuesForListParameter

    public List<IdTitle> getValuesForListParameter(int parameterId)